Summary:	Musical score editor
Name:		nted
Version:	1.10.18
Release:	%mkrel 6
License:	GPLv2+
Group:		Sound/Editors and Converters
Url:		http://vsr.informatik.tu-chemnitz.de/staff/jan/nted/nted.xhtml
Source0:	http://vsr.informatik.tu-chemnitz.de/staff/jan/nted/sources/%{name}-%{version}.tar.gz
Patch0:		%{name}-%{version}-sfmt.patch
Patch1:		%{name}-%{version}-headers.patch
Patch2:		%{name}-%{version}-mga-freetype2.patch
BuildRequires:	intltool
BuildRequires:	pkgconfig(alsa)
BuildRequires:	pkgconfig(cairo)
BuildRequires:	pkgconfig(fontconfig)
BuildRequires:	pkgconfig(freetype2)
BuildRequires:	pkgconfig(gtk+-2.0)
BuildRequires:	pkgconfig(pango)

%description
NtEd is a GTK score editor. It intends to be really WYSIWYG:
what you see on the screen is exactly what you get on printer
output. It supports up to 4 voices per staff, drum notes, 5 lyrics
lines, N-Tuplets, context changes, repeats with alternatives,
configurable music instruments per staff, MIDI and Postscript
export, MusicXML import. Scores can be played through the ALSA sequencer.

%prep
%setup -q
%autopatch -p1

%build
%configure2_5x
%make

%install
%make_install
mkdir -p %{buildroot}%{_datadir}/applications
mkdir -p %{buildroot}%{_datadir}/mime/packages

#new style menu
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop <<EOF
[Desktop Entry]
Name=NtEd
GenericName=Score editor
GenericName[de]=Partitureditor
GenericName[es]=Editor de partituras
GenericName[fr]=Éditeur de partition
GenericName[it]=Redattore di spartiti
GenericName[ru]=Редактор партитур
GenericName[cs]=Editor notového zápisu
GenericName[ja]=楽譜エディタ
GenericName[ko]=악보 편집기
GenericName[nb]=Noteark-redigerer
GenericName[nl]=Partituutbewerking
GenericName[pt_BR]=Partitura
GenericName[zh_CN]=乐谱编辑器
GenericName[cy]=Golygydd Sgôr
GenericName[et]=Partituuriredaktor
GenericName[hu]=Kottaszerkesztő
GenericName[pl]=Edytor wyników
Comment=Edit musical scores
Comment[de]=Bearbeitet (musikal.) Partituren
Comment[es]=Editor musical de partituras
Comment[fr]=Ėdite des partitions musicales
Comment[it]=Redige spartiti musicali
Comment[ru]=Редактор музыкальных партитур
Comment[af]=Redigeer musiekpartituur
Comment[sq]=Modifiko notat muzikore
Comment[ast]=Edita partitures
Comment[be]=Рэдактар нотных партый
Comment[bn]=মিউজিকেল স্কোর সম্পাদনা করুন
Comment[bs]=Uređujte notne zapise
Comment[bg]=Редактиране на музикални партитури
Comment[pt_BR]=Edite partituras musicais
Comment[ca]=Editeu partitures musicals
Comment[ca@valencia]=Editeu partitures musicals
Comment[zh_HK]=編輯樂譜
Comment[zh_TW]=編輯樂譜
Comment[zh_CN]=编辑乐谱
Comment[crh]=Müzik eserlerini düzenle
Comment[cs]=Editace hudebních partitur
Comment[nl]=Partituren bewerken
Comment[da]=Redigér noder
Comment[et]=Partituuri redigeerimine
Comment[fi]=Muokkaa musiikillisia partituureja
Comment[gl]=Edite partituras musicais
Comment[el]=Επεξεργασία παρτιτούρας μουσικής
Comment[hu]=Kották szerkesztése
Comment[ja]=楽譜を編集します
Comment[ky]=Музыкалык ноталар менен иштөөчү редактор
Comment[ko]=악보 편집 프로그램
Comment[ms]=Sunting skor muzik
Comment[nb]=Rediger musikknoter
Comment[fa]=ویرایش خرابی های موسیقی
Comment[oc]=Edicion de particions musicalas
Comment[pl]=Edytor nut
Comment[pt]=Edite partituras de música
Comment[ro]=Editați partituri muzicale
Comment[sk]=Upravovanie nôt
Comment[sl]=Urejajte notne zapise
Comment[tg]=Таҳрир кардани саундтрекҳо
Comment[sv]=Redigera musiknoter
Comment[tr]=Müzik eserlerini düzenle
Comment[uk]=Редагування музичних партитур
Comment[vi]=Soản thảo các bản nhạc
Exec=%{name}
Icon=%{name}
StartupNotify=true
Terminal=false
MimeType=application/x-%{name};
Type=Application
Categories=Audio;Midi;Music;
EOF

#new style mime-type
cat > %{buildroot}%{_datadir}/mime/packages/%{name}.xml <<EOF
<?xml version="1.0"?>
<mime-info xmlns="http://www.freedesktop.org/standards/shared-mime-info">
  <mime-type type="application/x-%{name}">
    <comment>%{name} file</comment>
    <comment xml:lang="ru">файл %{name}</comment>
    <glob pattern="*.ntd"/>
     <magic priority="60">
       <match value="%{name}-file" type="string" offset="20:140"/>
     </magic>
  </mime-type>
</mime-info>
EOF

%find_lang %{name}

%files -f %{name}.lang
%doc AUTHORS FAQ ABOUT_THE_EXAMPLES.TXT
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/mime/packages/%{name}.xml
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/%{name}
%{_mandir}/*/*


%changelog
* Tue Feb 16 2016 umeabot <umeabot> 1.10.18-6.mga6
+ Revision: 961758
- Mageia 6 Mass Rebuild

* Sat Nov 07 2015 alexl <alexl> 1.10.18-5.mga6
+ Revision: 898353
- install ABOUT_THE_EXAMPLES.TXT doc
- fix build with freetype 2.6+
- s/makeinstall_std/make_install/

* Wed Oct 15 2014 umeabot <umeabot> 1.10.18-4.mga5
+ Revision: 742002
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.10.18-3.mga5
+ Revision: 682945
- Mageia 5 Mass Rebuild

* Wed Aug 13 2014 alexl <alexl> 1.10.18-2.mga5
+ Revision: 662255
- translated desktop and xml files

* Wed Jun 18 2014 alexl <alexl> 1.10.18-1.mga5
+ Revision: 638019
- add freetype2.patch
- version 1.10.18
- rewrite spec
- add headers.patch
- rename fmt patch

  + kharec <kharec>
    - imported package nted


* Sun Aug 15 2010 Sandro Cazzaniga <kharec@mandriva.org> 1.10.13-1mdv2011.0
+ Revision: 569826
- new version
- rediff patches

* Sun Jul 11 2010 Sandro Cazzaniga <kharec@mandriva.org> 1.10.12-1mdv2011.0
+ Revision: 551158
- rediff p0 ad p1
- fix %%description (GNU/Linux is not only "Linux"!!!)
- update to 1.10.12

* Sun Apr 25 2010 Sandro Cazzaniga <kharec@mandriva.org> 1.10.1-1mdv2010.1
+ Revision: 538539
- really rediff patch
- rediff all patches
- update to 1.10.1

* Wed Apr 07 2010 Sandro Cazzaniga <kharec@mandriva.org> 1.9.22-2mdv2010.1
+ Revision: 532818
- %%mkrel 2, fix #58610

* Mon Apr 05 2010 Sandro Cazzaniga <kharec@mandriva.org> 1.9.22-1mdv2010.1
+ Revision: 531563
- update to 1.9.22 && rediff patch0 and patch1

* Wed Mar 31 2010 Sandro Cazzaniga <kharec@mandriva.org> 1.9.21-1mdv2010.1
+ Revision: 530515
- update to new version 1.9.21
- rediff two patch
- remove %%post and %%postun
- fix mixed-use-of-spaces-and-tabs in spec

* Wed Feb 03 2010 Funda Wang <fwang@mandriva.org> 1.9.18-1mdv2010.1
+ Revision: 499975
- New version 1.9.18

* Tue Jan 19 2010 Frederik Himpe <fhimpe@mandriva.org> 1.9.16-1mdv2010.1
+ Revision: 493773
- Update to new version 1.9.16
- Rediff string format patch

* Sat Dec 19 2009 Frederik Himpe <fhimpe@mandriva.org> 1.9.13-1mdv2010.1
+ Revision: 480222
- Update to new version 1.9.13

* Fri Dec 11 2009 Jérôme Brenier <incubusss@mandriva.org> 1.9.10-1mdv2010.1
+ Revision: 476222
- new version 1.9.10
- redo the str fmt patch

* Sun Sep 27 2009 Frederik Himpe <fhimpe@mandriva.org> 1.8.1-1mdv2010.0
+ Revision: 450185
- update to new version 1.8.1

* Wed Sep 16 2009 Frederik Himpe <fhimpe@mandriva.org> 1.7.0-1mdv2010.0
+ Revision: 443634
- update to new version 1.7.0

* Tue Sep 01 2009 Frederik Himpe <fhimpe@mandriva.org> 1.6.5-1mdv2010.0
+ Revision: 423700
- update to new version 1.6.5

* Sat Aug 15 2009 Frederik Himpe <fhimpe@mandriva.org> 1.6.4-1mdv2010.0
+ Revision: 416450
- update to new version 1.6.4

* Tue Jul 28 2009 Frederik Himpe <fhimpe@mandriva.org> 1.6.2s-1mdv2010.0
+ Revision: 402735
- update to new version 1.6.2s
- update to new version 1.6.1

* Fri Jun 12 2009 Frederik Himpe <fhimpe@mandriva.org> 1.5.1-1mdv2010.0
+ Revision: 385596
- Update to new version 1.5.1
- Remove linkage patch: not needed anymore

* Sun Mar 15 2009 Funda Wang <fwang@mandriva.org> 1.5.0-1mdv2009.1
+ Revision: 355181
- New version 1.5.0

* Thu Dec 11 2008 Funda Wang <fwang@mandriva.org> 1.4.17-2mdv2009.1
+ Revision: 313354
- fix desktop file
- comply to doc policy

* Thu Dec 11 2008 Funda Wang <fwang@mandriva.org> 1.4.17-1mdv2009.1
+ Revision: 313328
- New version 1.4.17

* Fri Aug 08 2008 Thierry Vignaud <tv@mandriva.org> 0.22.3-3mdv2009.0
+ Revision: 268300
- rebuild early 2009.0 package (before pixel changes)

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

* Sun May 11 2008 Funda Wang <fwang@mandriva.org> 0.22.3-2mdv2009.0
+ Revision: 205582
- fix desktop entry

* Fri Apr 25 2008 Funda Wang <fwang@mandriva.org> 0.22.3-1mdv2009.0
+ Revision: 197412
- BR yelp and po2xml for doc generation.
- New version 0.22.3

  + Thierry Vignaud <tv@mandriva.org>
    - fix no-buildroot-tag

* Sun Jan 27 2008 Funda Wang <fwang@mandriva.org> 0.17.1-1mdv2008.1
+ Revision: 158584
- update to new version 0.17.1

* Wed Jan 09 2008 Funda Wang <fwang@mandriva.org> 0.16.0-1mdv2008.1
+ Revision: 147164
- New version 0.16.0

* Tue Dec 25 2007 Funda Wang <fwang@mandriva.org> 0.13.0-1mdv2008.1
+ Revision: 137713
- add menu item
- Import SOURCES and SPEC
- Created package structure for nted.

